%define version	2.1
%define release %mkrel 8

%if %mdkversion < 20070
%define fccachefile fonts.cache-1
%endif

Summary:	Baekmuk korean fonts
Name:		fonts-ttf-korean
Version:	%{version}
Release:	%{release}

Source0:	ftp://ftp.mizi.com/pub/baekmuk/baekmuk-ttf-%{version}.tar.bz2
Source1:	ftp://ftp.mizi.com/pub/baekmuk/baekmuk-doc-%{version}.tar.bz2
Source2:	%name-fonts.alias.bz2
Source3:	cidinst.korean
Source4:	cidunin.korean

License:	GPL
Group:		System/Fonts/True type
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%name-%version-%release-root
BuildRequires:	freetype-tools
Obsoletes: 	baekmuk hwan-fonts
Provides:	baekmuk hwan-fonts
Requires(post): fontconfig
Requires(postun): fontconfig

%description
Baekmuk Korean TTF Fonts.

%prep

%setup -q -T -c -a0 -a1
 
%build

%install
rm -fr %buildroot

install -d %buildroot/%{_datadir}/fonts/TTF/korean/
install -m 0644 *.ttf %buildroot/%{_datadir}/fonts/TTF/korean


(
cd %buildroot/%{_datadir}/fonts/TTF/korean
ttmkfdir -u > fonts.dir
ln -s fonts.dir fonts.scale
bzcat %SOURCE2 > fonts.alias
%if %mdkversion < 20070
touch %fccachefile
%endif
) 

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/korean \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-korean:pri=50


%post
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 


%postun
if [ "$1" = "0" ]; then
  [ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 
fi

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,0755)
%doc COPYRIGHT*
%dir %{_datadir}/fonts/TTF/korean/
%{_datadir}/fonts/TTF/korean/*.ttf
%config(noreplace) %{_datadir}/fonts/TTF/korean/fonts.alias
%config(noreplace) %{_datadir}/fonts/TTF/korean/fonts.dir
%{_datadir}/fonts/TTF/korean/fonts.scale
%if %mdkversion < 20070
%ghost %{_datadir}/fonts/TTF/korean/%fccachefile
%endif
%{_sysconfdir}/X11/fontpath.d/ttf-korean:pri=50



%changelog
* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.1-8mdv2008.0
+ Revision: 48744
- fontpath.d conversion (#31756)
- minor cleanups


* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 23:11:49 (52892)
- Normalize fonts with new paths

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 21:06:15 (52807)
- import fonts-ttf-korean-2.1-6mdk

* Tue Feb 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1-6mdk
- don't package fonts.cache-2 file
- fix post/postun script
- don't package /usr/share/fonts
- touch parent directory to workaround rpm changing directory last modification
  time (breaking fontconfig cache consistency detection)

* Sun Nov 13 2005 Abel Cheung <deaddog@mandriva.org> 2.1-5mdk
- new fontconfig cache file name
- fix dependencies
- don't install ghostscript related file, gs-cjk is no more

